<?php

namespace Modules\Accounts\Models\Traits;

use Illuminate\Database\Eloquent\Relations\MorphMany;
use Modules\Accounts\Models\VatTransaction;

/**
 * @mixin \Illuminate\Database\Eloquent\Model
 */

trait HasVatTransactions
{
    public function vatTransactions(): MorphMany
    {
        return $this->morphMany(VatTransaction::class, 'itemable');
    }
}
